Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions
tlp::SGHierarchyWidgetPlugin Class Reference

`#include <SGHierarchyWidgetPlugin.h>`

List of all members.

## Public Member Functions

- SGHierarchyWidgetPlugin (QObject *parent=NULL)
- ~SGHierarchyWidgetPlugin ()
- bool isContainer () const
- bool isInitialized () const
- QIcon icon () const
- QString codeTemplate () const
- QString domXml () const
- QString group () const
- QString includeFile () const
- QString name () const
- QString toolTip () const
- QString whatsThis () const
- QWidget * createWidget (QWidget *parent)
- void initialize (QDesignerFormEditorInterface *core)

## Constructor & Destructor Documentation

tlp::SGHierarchyWidgetPlugin::SGHierarchyWidgetPlugin | ( | QObject * | parent = `NULL` | ) |

tlp::SGHierarchyWidgetPlugin::~SGHierarchyWidgetPlugin | ( |  | ) |

## Member Function Documentation

QString tlp::SGHierarchyWidgetPlugin::codeTemplate | ( |  | ) | const

QWidget* tlp::SGHierarchyWidgetPlugin::createWidget | ( | QWidget * | parent | ) |

QString tlp::SGHierarchyWidgetPlugin::domXml | ( |  | ) | const

QString tlp::SGHierarchyWidgetPlugin::group | ( |  | ) | const

QIcon tlp::SGHierarchyWidgetPlugin::icon | ( |  | ) | const

QString tlp::SGHierarchyWidgetPlugin::includeFile | ( |  | ) | const

void tlp::SGHierarchyWidgetPlugin::initialize | ( | QDesignerFormEditorInterface * | core | ) |

bool tlp::SGHierarchyWidgetPlugin::isContainer | ( |  | ) | const

bool tlp::SGHierarchyWidgetPlugin::isInitialized | ( |  | ) | const

QString tlp::SGHierarchyWidgetPlugin::name | ( |  | ) | const

QString tlp::SGHierarchyWidgetPlugin::toolTip | ( |  | ) | const

QString tlp::SGHierarchyWidgetPlugin::whatsThis | ( |  | ) | const

Tulip Software by LaBRI Visualization Team 2001 - 2012